require 'pg'

require 'common/roundcube_db_plugin'
require 'prune/prune_plugin'
require 'rm/plugins/roundcube_db'

class RoundcubeDbPrune < RoundcubeDbRm

  include RoundcubeDbPlugin
  include PrunePlugin


  def get_leftover_domains(db_domains)
    # Roundcube doesn't have a concept of domains.
    return []
  end


  def get_leftover_accounts(db_accounts)
    # Get a list of all users who have logged in to Roundcube.
    rc_accounts = self.get_roundcube_usernames()
    return rc_accounts - db_accounts
  end

end
